Get all trajectories
GET/v1/trajectory
A paginated API, where the next page will chronologically retrieve the changes since the last API call.
The pagination is ordered by trajectory upload time (uploaded_at_utc), then trajectory id.
This API may be used in an streaming fashion. Even when the API returns 0 results, the same token may be used in the future to retrieve any additional changes since the last call.
Request
Query Parameters
Continuation token to retrieve next page
Filter trajectories by a given object.
Possible values: [hypothetical, definitive, candidate]
Filter trajectories by type. If this is 'hypothetical' then only trajectories for the operator making the request will appear.
Minimum trajectory upload time (uploaded_at_utc). Recommended use of ISO8601. Include 'Z' to enforce UTC.
Filter trajectories by operator.
Possible values: [operator_ephemeris, spacex_optical]
Filter trajectories by state source. If omitted, only operator_ephemeris trajectories are returned.
Responses
- 200
- 400
OK
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
result object[]
Possible values: [screened, not_screened, candidate_to_definitive, unknown_trajectory_fetching_error, superseded, failed_interpolation]
Possible values: [operator_ephemeris, spacex_optical]
Possible values: [hypothetical, definitive, candidate]
{
"result": [
{
"auto_relinquish_pc_threshold": 0,
"created_at": "2026-09-09T22:14:07.449Z",
"end_at": "2026-09-09T22:14:07.449Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"operator_id": "string",
"screened_at": "2026-09-09T22:14:07.449Z",
"screened_status": "screened",
"start_at": "2026-09-09T22:14:07.449Z",
"state_source": "operator_ephemeris",
"upload_type": "hypothetical",
"uploaded_at": "2026-09-09T22:14:07.449Z"
}
],
"token": "string"
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
{
"correlation_id": "string",
"error": "string",
"error_type": "string",
"metadata": {}
}